API reference
Fetch one profile by id.
https://api.betterpost.dev/v1/profiles/{id}| Name | Description |
|---|---|
id | The profile id, for example prof_1b7r4a9n2d5c8l0e3k6s9m2x. |
curl -s https://api.betterpost.dev/v1/profiles/prof_1b7r4a9n2d5c8l0e3k6s9m2x \
-H "x-access-key: $BETTERPOST_API_KEY"200 OK
{
"success": true,
"profile": {
"id": "prof_1b7r4a9n2d5c8l0e3k6s9m2x",
"name": "Acme Coffee",
"description": "Brand accounts for Acme",
"integrationCount": 2,
"createdAt": "2026-10-21T14:03:12.418Z",
"updatedAt": "2026-10-21T14:03:12.418Z"
}
}| Status | Code | When |
|---|---|---|
200 | Success. | |
401 | unauthorized | Missing or unknown API key. |
404 | not_found | No such profile in this project, or it was deleted. |
429 | rate_limited | More than 120 requests per minute. |